Skip to main content
`Ctrl`+`K`

# TaoSetStateDesignIS

Indicate to the `Tao` object which variables in the solution vector are state variables and which are design. Only applies to PDE-constrained optimization.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetStateDesignIS(Tao tao, IS s_is, IS d_is)

Logically Collective

## Input Parameters

- tao - The `Tao` context

- s_is - the index set corresponding to the state variables

- d_is - the index set corresponding to the design variables

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetJacobianStateRoutine()`, `TaoSetJacobianDesignRoutine()`

## Level

intermediate

## Location

src/tao/interface/taosolver_hj.c

## Examples

src/tao/pde_constrained/tutorials/parabolic.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/pde_constrained/tutorials/hyperbolic.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages